<?php
class adminController {
    private $dbc;
    
    function __construct() {
    	$this->dbc = new DBCon();
    }
    
    function search_subs() {
        $result = array();
        if (isset($_GET['email'])) {
            $result = $this->dbc->search_subscription(urldecode($_GET['email']));
        }
        include_once(ABSPATH . 'wp-content/plugins/loa-braintree/views/admin_list.php');
    }
    
    function cancel_sub() {
        if (validate_admin() && $_GET["user_id"]) {
            $success = false;
            $result = $gateway->subscription()->cancel(get_loa_meta($_GET["user_id"], "bt_sub_id"));
            if ($result->success) {
                $success = true;
            }
        }
    }
    
    function stats() {
        $results = array();
        $results[0]['total'] = count($this->dbc->total_subs());
        $results[0]['canceled'] = count($this->dbc->cancelled_subs());
        $results[0]['new'] = count($this->dbc->new_subs_month());

        include_once(ABSPATH . 'wp-content/plugins/loa-braintree/views/admin_stats.php');
    }
}
?>